[android-components](../../index.md) / [mozilla.components.feature.session](../index.md) / [SwipeRefreshFeature](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`SwipeRefreshFeature(store: `[`BrowserStore`](../../mozilla.components.browser.state.store/-browser-store/index.md)`, reloadUrlUseCase: `[`ReloadUrlUseCase`](../-session-use-cases/-reload-url-use-case/index.md)`, swipeRefreshLayout: SwipeRefreshLayout, tabId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`? = null)`

Feature implementation to add pull to refresh functionality to browsers.

### Parameters

`swipeRefreshLayout` - Reference to SwipeRefreshLayout that has an [EngineView](../../mozilla.components.concept.engine/-engine-view/index.md) as its child.